public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-accessibility/sphinx2/
Date: Wed, 13 Sep 2023 03:49:19 +0000 (UTC)	[thread overview]
Message-ID: <1694576881.6efeee059cb06ab44a6b46b2912c301a0a6f0656.sam@gentoo> (raw)

commit:     6efeee059cb06ab44a6b46b2912c301a0a6f0656
Author:     Leonardo Hernández Hernández <leohdz172 <AT> proton <DOT> me>
AuthorDate: Mon Sep  4 03:42:58 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Sep 13 03:48:01 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6efeee05

app-accessibility/sphinx2: update EAPI 6 -> 8

Signed-off-by: Leonardo Hernández Hernández <leohdz172 <AT> proton.me>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-accessibility/sphinx2/sphinx2-0.6-r1.ebuild | 36 +++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/app-accessibility/sphinx2/sphinx2-0.6-r1.ebuild b/app-accessibility/sphinx2/sphinx2-0.6-r1.ebuild
new file mode 100644
index 000000000000..fa5b70bb70c6
--- /dev/null
+++ b/app-accessibility/sphinx2/sphinx2-0.6-r1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+MY_P=${P/_/}
+
+DESCRIPTION="CMU Speech Recognition-engine"
+HOMEPAGE="https://cmusphinx.github.io"
+SRC_URI="mirror://sourceforge/cmusphinx/${P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+DOCS=( AUTHORS ChangeLog README NEWS
+	   doc/{README.{bin,lib},SCHMM_format,filler.dict,phoneset{,-old}} )
+HTML_DOCS=( doc/{phoneset_s2,sphinx2}.html )
+
+PATCHES=( "${FILESDIR}"/${P}-as-needed.patch )
+
+src_prepare() {
+	default
+	mv configure.{in,ac} || die
+	eautoreconf
+}
+
+src_install() {
+	default
+
+	rm -r "${ED}/usr/share/${PN}/doc" || die
+	find "${ED}" -name '*.la' -delete || die
+}


             reply	other threads:[~2023-09-13  3:49 UTC|newest]

Thread overview: 7+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-09-13  3:49 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-10  9:15 [gentoo-commits] repo/gentoo:master commit in: app-accessibility/sphinx2/ Sam James
2023-10-03 19:24 Andreas Sturmlechner
2023-10-01 18:19 Arthur Zamarin
2023-10-01 18:19 Arthur Zamarin
2023-10-01 18:19 Arthur Zamarin
2018-11-11 22:38 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1694576881.6efeee059cb06ab44a6b46b2912c301a0a6f0656.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox